<?
#Старт сессии
session_start();

#Подключаем базу
include '../engine/config.php';
include '../engine/classes/bbcode.class.php';
  
#Проверяем способ вызова файла
if ( !defined( 'MISOFT_ADMIN_DIRR' ) ) exit();

if ( !isset( $_SESSION['iduser'] ) or $config_user['account'] != 5 ) {
    echo '<div class="stabilisacion-engine"><div class="alert alert-danger" role="alert">
	  <strong>Внимание!</strong> Нарушен механизм безопасности! В силу безопасности и целостности сайта, выполнение скриптов остановлено. Ошибка №A1
	</div></div>';
	exit();
} else {
  
  /*$edit_catalog = mysql_fetch_array( mysql_query( "SELECT * FROM catalog_mes WHERE id = '" . ( int ) $_GET['id'] . "' LIMIT 1" ) );
  $edit_catalog_reklamodatel = mysql_fetch_array( mysql_query( "SELECT username, userdel FROM user WHERE id = '" . ( int ) $edit_catalog['iduser'] . "' LIMIT 1" ) );*/
  ?>
    <div class="content-wrapper">
	  <div class="container-fluid">
		<div class="row">
		  <div class="col-md-12">
		    <h2 class="page-title">Конкурсы</h2>

			<div class="row">
			  <div class="col-md-6">
				<div class="panel panel-default">
				  <div class="panel-heading">Завершенные конкурсы</div>
				  <div class="panel-body">
					<?
					  $konkursResult = mysql_query( "SELECT * FROM konkurs_end ORDER BY id DESC LIMIT 15" );
					  if ( mysql_num_rows( $konkursResult ) > 0 ) {
						while ( $konkursResultRow = mysql_fetch_array( $konkursResult ) ) {
							$month = array( 'января', 'февраля', 'марта', 'апреля', 'мая', 'июня', 'июля', 'августа', 'сентября', 'октября', 'ноября', 'декабря' );
							
							#Определяем количиство призовых мест
							$i_limit = $konkursResultRow['number_of_prizes'];
							
							switch ( $konkursResultRow['type'] ) {
								case 0:
									$konkursType = 'Конкурс рекламодателя';
									break;
								case 1:
									$konkursType = 'Конкурс рефералов';
									break;
								case 2:
									$konkursType = 'Конкурс выполнения заданий';
									break;
								case 3:
									$konkursType = 'Конкурс размещения заданий';
									break;
							}
							?>
							<table class="display table table-striped table-bordered table-hover" >
								<thead>
								  <th style="text-align: center; color: #333;" colspan="4">
									<i class="fa fa-flag-checkered" aria-hidden="true"></i> 
									Дата проведения: с <?=( int ) date( 'd', $konkursResultRow['date_start'] ) . ' ' . $month[( int ) date( 'm', $konkursResultRow['date_start'] ) - 1] . ' ' . date( 'Y', $konkursResultRow['date_start'] )?> г.
									по <?=( int ) date( 'd', $konkursResultRow['date_end'] ) . ' ' . $month[( int ) date( 'm', $konkursResultRow['date_end'] ) - 1] . ' ' . date( 'Y', $konkursResultRow['date_end'] )?> г.
									( <font style="color: #D65152;"><?=$konkursType?></font> )
								  </th>
								</thead>
								<thead>
								  <th style="text-align: center; width: 115px;">Место</th>
								  <th style="text-align: left;">Участник</th>
								  <th style="text-align: center; width: 100px;">Вознаграждение</th>
								  <th style="text-align: center; ">Статус</th>
								</thead>
								<?
								for ( $i = 1; $i <= $i_limit; $i++ ) {
									$userKonkurs = mysql_fetch_array( mysql_query( "SELECT id, avatar, username FROM user WHERE id = '" . $konkursResultRow['iduser' . $i] . "'" ) );
									$prizKonkurs = mysql_fetch_array( mysql_query( "SELECT priz$i FROM konkurs_end WHERE id_konkurs = '" . $konkursResultRow['id_konkurs'] . "'" ) );
									$payKonkurs = $prizKonkurs['priz' . $i].' '.$config['valutaname'];
									?>
									<tr>
										<td style="text-align: center;"><?=$i?></td>
										<? 
										  if($userKonkurs['username'] != '') { 
										  ?>
											<td>
											  <a href="/id<?=$userKonkurs['id']?>">
												<img src="/temp/avatar/<?=$userKonkurs['avatar']?>" class="img-circle competition-avatar-table" width="20" height="20" align="left" />
											  </a>&nbsp;&nbsp;&nbsp;<?=$userKonkurs['username']?>
											</td>
											<td style="text-align: center; color: #3577D0;">+<?=$payKonkurs?></td>
											<td style="text-align: center; color: #2E8B57;"><i class="fa fa-check" aria-hidden="true"></i> перечислено</td>
										  <? } else { ?>
											<td colspan="3" style="text-align: center; color: #939393;">победителя нет</td>
										  <? } ?>
									</tr>
									<?
								}
								?>
							</table>
							<br>
							<?
						}
					  } else {
						?>
						  <div class="alert alert-warning" role="alert"><i class="fa fa-info-circle" aria-hidden="true"></i> Завершенных конкурсов не найдено.</div>
						<?
					  }
					?>
				  </div>
				</div>
			  </div>
			  
			</div>
		  </div>
		</div>
	  </div>
	</div>
  <?
} 
?>